<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/Comments/Filter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.Comments.Filter</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../Comments.html" >Comments</a>.Filter

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Filter/Filter.html" >Filter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.Filter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line12" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for comment filters.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/CFilter.html" >CFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.CFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line41" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that filters C-style comments.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/SSFilter.html" >SSFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.SSFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line76" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that selects only // comments.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/SSDFilter.html" >SSDFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.SSDFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line94" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that selects only //.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/SSSFilter.html" >SSSFilter</a></div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Comments.Filter.SSSFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line112" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that selects only /// comments.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/QtFilter.html" >QtFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.QtFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line130" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that finds Qt style comments.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/JavaFilter.html" >JavaFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.JavaFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line159" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="Filter/Filter.html" >Filter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.Filter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line12" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for comment filters.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/CFilter.html" >CFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.CFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line41" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that filters C-style comments.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/SSFilter.html" >SSFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.SSFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line76" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that selects only // comments.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/SSDFilter.html" >SSDFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.SSDFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line94" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that selects only //. comments.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/SSSFilter.html" >SSSFilter</a></div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Comments.Filter.SSSFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line112" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that selects only /// comments.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/QtFilter.html" >QtFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.QtFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line130" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that finds Qt style comments. These have two styles: //! ...
    and /*! ... */. The first means &quot;brief comment&quot; and there must only be
    one. The second type is the detailed comment.</div></div>
<div class="item"><div class="synopsis">class <a href="Filter/JavaFilter.html" >JavaFilter</a></div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.JavaFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line159" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A class that selects java /** style comments</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
